# Journal de bord du Mooc *Recherche reproductible : principes méthodologiques pour une science transparente*

David Pinaud, 2023-08-11

## Module 1 

Utiliser GitLab et renseigner les ReadMe avec Markdown (balisage léger) :
- Markdown Basic Syntax [link](https://www.markdownguide.org/basic-syntax/)
- [Élaboration et conversion de documents avec Markdown et Pandoc](https://www.jdbonjour.ch/cours/markdown-pandoc/) *update 2023-08-11*

Utiliser des étiquettes et les rechercher :
- étiquettes dans des documents `Markdown` : mot-clé (encadré par des caractères comme `;`) inséré en commentaire `<!-- ;code; -->`
- rajouter des étiquettes aux métadonnées d'une image (données EXIF). [ExifTool](https://exiftool.org/)
- Moteur de recherche de bureau [DocFetcher](http://docfetcher.sourceforge.net/fr/index.html)


## Module 2 : le document computationnel

Utilisation et exercices avec soit Jupyter, RStudio ou [OrgMode](https://orgmode.org/fr/)  

Exemple d'études où les résultats n'étaient pas si accessibles que ça :
- Reinhart et Rogoff 2010 *Growth in a Time of Debt*. Tableaux Exel foireux, résultats non reproductibles mais largement entérinés par les politiques
- Bennett *et al.* 2010, l'IRM et le saumon mort (algo d'imagerie à consolider)
- ...

Difficultés de mise en place :
1. manque d'informations (données, choix faits etc)
2. l'ordinateur comme source d'erreur (*point and click* des tableurs, prb de programmation, manque de rigueur et d'organisation...)
3. dimension culturelle : l'article scientifique est une simplification de la procédure (pression pour gain de temps et de place)